## gst-plugins-bad1.0 1.14.5

=== meson_options.txt ===
option('use_orc', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('disable_introspection',
        type : 'boolean', value : false,
        description : 'Whether to disable the introspection generation')
option('with-package-name', type : 'string',
       description : 'package name to use in plugins')
option('with-package-origin', type : 'string', value : 'Unknown package origin',
       description : 'package origin URL to use in plugins')
option('enable_gst_player_tests', type: 'boolean', value: false,
       description: 'Enable GstPlayer tests that need network access')

## gst-plugins-bad1.0 0.11.91

=== debian/changelog ===
gst-plugins-bad1.0 (0.11.91-1) experimental; urgency=low

  * New upstream release, "Be he alive, or be he dead":
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.91.
    + debian/gstreamer-plugins-bad.install:
      - Re-add plugins that are ported now.
  * debian/control.in,
    debian/rules:
    + Update automake, autoconf, libtool, debhelper dependencies.
    + Update Standards-Version.
  * debian/build-deps.in:
    + Drop lv2core dependency, not needed anymore.
  * debian/patches/0001-vp8enc-fix-target-bitrate-config-with-libvpx-1.1.0.patch:
    + Patch from upstream GIT to fix vp8 encoder with libvpx 1.1.0.
  * debian/libgstreamer-plugins-bad-dev.install:
    + Drop .a files from the -dev package.
  * debian/rules:
    + Fix dh_gstscancodecs call.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 May 2012 16:00:47 +0200

gst-plugins-bad1.0 (0.11.90-1) experimental; urgency=low

  [ Olivier Naudan ]
  * Imported Upstream version 0.11.90
  * Imported debian/ from gst-plugins-bad 0.10.23-1
  * Updated debian/ for GStreamer 1.0
  * Removed gstreamer-sdl, not ported to 0.11
  * gstreamer-plugins-bad.install: Removed the plugins that have not been ported
  * gstreamer-plugins-bad.install: Removed schemas
  * gstreamer-plugins-bad.install: Added presets (.prs)
  * debian/rules: disable pvrvideosink, until it is ported to gst 0.11

  [ Sebastian Dröge ]
  * Build-depend on GLib >= 2.31.14.
  * Remove obsolete Provides and Replaces
  * Merge changes from 0.10.23-2.
  * Update copyright

 -- Sebastian Dröge <slomo@debian.org>  Thu, 03 May 2012 20:06:18 +0200

gst-plugins-bad0.11 (0.11.1-1~ppa1) oneiric; urgency=low

  * New upstream release, 0.11.1

 -- Olivier Naudan <o-naudan@ti.com>  Thu, 01 Mar 2012 13:02:01 +0100

gst-plugins-bad0.10 (0.10.23-1) unstable; urgency=low

  * New upstream stable release, "The Game Has Changed":
    + debian/rules,
      debian/build-deps.in:
      - (Build-) depend on GStreamer core/base >= 0.10.36.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Feb 2012 10:58:52 +0100

gst-plugins-bad0.10 (0.10.22.3-2) experimental; urgency=low

  * debian/control.in,
    debian/gstreamer-plugins-bad.install,
    debian/libgstreamer-plugins-bad-dev.install,
    debian/libgstreamer-plugins-bad.install,
    debian/rules:
    + Split the libraries into their own package and add a -dev package.
      The API of the library is not guaranteed to be stable and as such
      the shlibs of the library package are very strict and will require
      dependant libraries to get a rebuild after every new upstream version.
      The libraries will be required by gstreamer-vaapi.
      Thanks to Timo Aaltonen <tjaalton@ubuntu.com> for the patch.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 Feb 2012 09:45:25 +0100

gst-plugins-bad0.10 (0.10.22.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/01_dtsdec-libs.patch,
      debian/patches/02_teletextdec-subdirs.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Feb 2012 10:52:44 +0100

gst-plugins-bad0.10 (0.10.22.2-2) experimental; urgency=low

  * debian/control.in:
    + Build-depend on automake (>= 1.10), autoconf (>= 2.60) and
      libtool (>= 2.0) to make dh-autoreconf actually work.
  * debian/control.in:
    + Pre-depend on ${misc:Pre-Depends} for multi-arch.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Dec 2011 10:18:38 +0100

gst-plugins-bad0.10 (0.10.22.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/build-deps.in,
      debian/rules:
      - Build-depend on GStreamer core/base 0.10.35.2.
      - Build-depend on GLib 2.24.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install,
      debian/gstreamer-amrwbenc.install,
      debian/README.Debian:
      - Add audiovisualizers, cdaudio, faceoverlay, freeverb,
        inter, openal, removesilence, smooth, spandsp, teletextdec,
        voaacenc, voamrwbenc plugins.
      - Remove invtelecine, mpeg4videoparse plugins.
      - Remove amrwbenc extra plugin.
    + debian/patches/01_path-max.patch:
      - Dropped, merged upstream.
    + debian/patches/99_ltmain_as-needed.patch:
      - Refreshed to apply cleanly again.
    + debian/patches/01_dtsdec-libs.patch:
      - Add libgstbase to the libraries of dtsdec.
    + debian/patches/02_teletextdec-subdirs.patch:
      - Add the teletextdec directory to SUBDIRS.
  * debian/control.in:
    + Suggest frei0r-plugins (Closes: #633097).
  * debian/build-deps.in,
    debian/compat,
    debian/control.in,
    debian/gstreamer-amrwbenc.install,
    debian/gstreamer-faac.install,
    debian/gstreamer-mpeg2enc.install,
    debian/gstreamer-plugins-bad.install,
    debian/gstreamer-sdl.install,
    debian/rules:
    + Transition package to multi-arch (Closes: #647487).
      Patch taken from the Ubuntu package.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Dec 2011 10:41:20 +0100

gst-plugins-bad0.10 (0.10.22-3) unstable; urgency=low

  * Add xvid to the bad plugin set as it's available in debian now.
  * Remove any reference to LAME or MP3 from README.Debian.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 29 Jul 2011 13:24:53 +0200

gst-plugins-bad0.10 (0.10.22-2) unstable; urgency=low

  * debian/patches/01_path-max.patch:
    + Don't use PATH_MAX, it's not defined on GNU Hurd and others.
      Thanks to Pino Toscano for the patch (Closes: #626795).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 May 2011 09:13:54 +0200

gst-plugins-bad0.10 (0.10.22-1) unstable; urgency=low

  * New upstream release, "Toy Piano":
    + debian/patches/99_decklink.patch,
      debian/patches/99_decklink-linking.patch:
      - Dropped, merged upstream.    
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core/base 0.10.33.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 May 2011 15:55:38 +0200



=== debian/control ===
Source: gst-plugins-bad1.0
Section: libs
Priority: extra
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: autoconf (>= 2.62),
               automake (>= 1.11),
               autopoint (>= 0.17),
               autotools-dev,
               cdbs (>= 0.4.93),
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.15.1),
               flite-dev,
               libasound2-dev (>= 0.9.1) [linux-any],
               libcdaudio-dev [linux-any],
               libdc1394-22-dev (>= 2.0.0) [linux-any],
               libgstreamer1.0-dev (>= 0.11.91),
               gstreamer1.0-doc,
               gstreamer1.0-plugins-base-doc,
               gtk-doc-tools,
               ladspa-sdk,
               libass-dev (>= 0.9.4),
               libbz2-dev,
               libcairo2-dev,
               libcdaudio-dev,
               libcelt-dev (>= 0.5.0),
               libcurl4-gnutls-dev (>= 7.21.0),
               libdca-dev,
               libdirac-dev (>= 0.10),
               libdirectfb-dev (>= 0.9.25),
               libdvdnav-dev (>= 4.1.2) [!hurd-any],
               libexempi-dev,
               libexif-dev (>= 0.6.16),
               libfaad-dev,
               libglib2.0-dev (>= 2.31.14),
               libgme-dev,
               libgsm1-dev,
               libgstreamer-plugins-base1.0-dev (>= 0.11.91),
               libgstreamer-plugins-base1.0-dev (>= 0.11.91),
               libgtk2.0-dev (>= 2.14.0),
               libiptcdata0-dev (>= 1.0.2),
               libjasper-dev,
               libkate-dev (>= 0.1.7),
               libmimic-dev (>= 1.0),
               libmms-dev (>= 0.4),
               libmodplug-dev,
               libmpcdec-dev,
               libofa0-dev (>= 0.9.3),
               libopenal-dev,
               liborc-0.4-dev (>= 1:0.4.11),
               libpng-dev,
               librsvg2-dev (>= 2.14.0),
               librtmp-dev,
               libschroedinger-dev (>= 1.0.7),
               libslv2-dev (>= 0.6.6),
               libsndfile1-dev (>= 1.0.16),
               libsoundtouch-dev (>= 1.5.0),
               libspandsp-dev,
               libssl-dev,
               libtool (>= 2.2.6),
               libvo-aacenc-dev,
               libvo-amrwbenc-dev,
               libvpx-dev,
               libwildmidi-dev (>= 0.2.3),
               libx11-dev,
               libxvidcore-dev,
               libzbar-dev (>= 0.9),
               libzvbi-dev,
               pkg-config (>= 0.11.0)
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-bad1.0.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-bad1.0.git
Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-bad.html

Package: gstreamer1.0-plugins-bad-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         gstreamer1.0-doc,
         gstreamer1.0-plugins-base-doc
Description: GStreamer documentation for plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the documentation for plugins from the "bad" set.
 
Package: gstreamer1.0-plugins-bad
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
Provides: ${gstreamer:Provides}
Suggests: frei0r-plugins
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer1.0-plugins-bad-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: gstreamer1.0-plugins-bad (= ${binary:Version}),
         ${misc:Depends}
Description: GStreamer plugins from the "bad" set (debug symbols)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: libgstreamer-plugins-bad1.0-0
Architecture: any
Section: libs
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GStreamer development files for libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries from the "bad" set. The API
 is not guaranteed to be stable.

Package: libgstreamer-plugins-bad1.0-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends},
	 libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
Description: GStreamer development files for libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains development files for GStreamer libraries from the
 "bad" set. The API is not guaranteed to be stable.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk

# make autoreconf not call libtoolize since we ship a patch for ltmain.sh
export LIBTOOLIZE=true
# make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
export AUTOPOINT=true

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_MAKE_CHECK_TARGET = check || true

# this is for compatibility with dpkg-dev < 1.13.5, see
# <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif
# end of compatibility block

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=1
gst_minor=0
gst_abi=$(gst_major).$(gst_minor)
# gstreamer library package names
gst_lib=libgstreamer$(gst_abi)-0
gst_lib_dev=libgstreamer$(gst_abi)-dev
# what gstreamer version is needed
gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.91)

gst_pkgname=gstreamer$(gst_abi)
gst_deb_abi=$(gst_abi)-0

gst_extra_build_depends =
gst_extra_build_depends += libasound2-dev (>= 0.9.1) [linux-any]
gst_extra_build_depends += , libcdaudio-dev [linux-any]
gst_extra_build_depends += , libdc1394-22-dev (>= 2.0.0) [linux-any]

# The plugins are basically the same.
# Link special names to a template file.
# still need "*.install" to be done by hand
# 
# EXTRA_PLUGINS: See debian/README.Debian for docs
EXTRA_PLUGINS +=

PLUGINS += plugins-bad $(EXTRA_PLUGINS)
ifeq ($(DEB_HOST_ARCH_OS),linux)
PLUGINS +=
endif
VERSIONIZE= \
	plugins-bad-doc.install \

#debug package
DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-bad-dbg

# enable the real plugin on x86
ifeq ($(DEB_HOST_ARCH_CPU), i386)
real = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstreal.so
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
dvb = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdvb.so
fbdev = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstfbdevsink.so
vcd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstvcdsrc.so
cdaudio = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstcdaudio.so
dc1394 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdc1394.so
decklink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdecklink.so
linsys = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstlinsys.so
endif

ifneq ($(DEB_HOST_ARCH_OS),hurd)
resindvd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libresindvd.so
endif

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Bad Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad$(gst_abi)"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad$(gst_abi)"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-bad$(gst_abi)"
endif


# setup links for packages
pre-build::
	for p in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$p.install; \
		sed \
			-e 's,@real@,$(real),g' \
			-e 's,@dvb@,$(dvb),g' \
			-e 's,@decklink@,$(decklink),g' \
			-e 's,@linsys@,$(linsys),g' \
			-e 's,@fbdev@,$(fbdev),g' \
			-e 's,@vcd@,$(vcd),g' \
			-e 's,@dc1394@,$(dc1394),g' \
			-e 's,@cdaudio@,$(cdaudio),g' \
			-e 's,@resindvd@,$(resindvd),g' \
			-e 's/@GST_ABI@/$(gst_abi)/g' \
			debian/gstreamer-$$p.install \
			> debian/$(gst_pkgname)-$$p.install; \
	done

	for f in $(VERSIONIZE); do \
		sed 's/@GST_ABI@/$(gst_abi)/g' debian/gstreamer-$$f \
			> debian/$(gst_pkgname)-$$f; \
	done

	sed 's/@GST_ABI@/$(gst_abi)/g' debian/libgstreamer-plugins-bad.install \
			> debian/libgstreamer-plugins-bad$(gst_deb_abi).install
	sed 's/@GST_ABI@/$(gst_abi)/g' debian/libgstreamer-plugins-bad-dev.install \
			> debian/libgstreamer-plugins-bad$(gst_abi)-dev.install

maint: debian/control

debian/build-deps: debian/build-deps.in debian/rules
	cat $< > $@
	for plugin in $(EXTRA_PLUGINS); do \
		sh debian/extra deps $$plugin >> $@; \
	done
	sort $@ -o $@

debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules
	perl debian/mk.control | sed \
		-e 's/@GST_VERSION@/$(gst_version)/g' \
		-e 's/@GST_ABI@/$(gst_abi)/g' \
		-e 's/@GST_DEB_ABI@/$(gst_deb_abi)/g' \
		-e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
		-e 's/@GST_LIB@/$(gst_lib)/g' \
		-e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		-e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
		-e 's/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g' \
		-e '/^Build-Depends\(-Indep\)\?/s/\ *,\ */,\n               /g' \
		>$@

	for plugin in $(EXTRA_PLUGINS); do \
		sh debian/extra control $$plugin | sed \
			-e 's/@GST_ABI@/$(gst_abi)/g' \
			-e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
			-e 's/@GST_LIB@/$(gst_lib)/g' \
			-e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
			-e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
			-e 's/@GST_PLUGINS_LIB@/$(gst_plugins_lib)/g' \
			-e 's/@GST_PLUGINS_LIB_DEV@/$(gst_plugins_lib_dev)/g' \
			-e 's/@GST_PLUGINS_LIB_DEV_DEP@/$(gst_plugins_lib_dev_dep)/g' \
			-e 's/@GST_GCONF_LIB@/$(gst_gconf_lib)/g' \
			-e 's/@GST_GCONF_LIB_DEV@/$(gst_gconf_lib_dev)/g' \
			-e 's/@GST_GCONF_LIB_DEV_DEP@/$(gst_gconf_lib_dev_dep)/g' \
			>> $@; \
	done


DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--disable-examples \
	--enable-DEBUG \
	--enable-debug \
	--enable-experimental \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
	--disable-pvr \

# only build the docs on arches which can
ifeq (,$(findstring $(DEB_HOST_ARCH),m68k arm))
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
endif

common-binary-fixup-arch::
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-bad1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gstscancodecs

clean::
	# get rid of the sym links
	for i in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$i.install; \
		rm -f debian/$(gst_pkgname)-$$i.preinst; \
	done
	for f in $(VERSIONIZE); do \
		rm -f debian/$(gst_pkgname)-$$f; \
	done

gst_patch = $(shell echo $(gst_version) | cut -d '.' -f 3)
gst_patch_next = $(shell expr $(gst_patch) + 1)
DEB_DH_MAKESHLIBS_ARGS_libgstreamer-plugins-bad$(gst_deb_abi) += -V "libgstreamer-plugins-bad$(gst_deb_abi) (>= $(gst_version)), libgstreamer-plugins-bad$(gst_deb_abi) (<< $(gst_major).$(gst_minor).$(gst_patch_next))"
DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS

# Disable inclusion of large upstream ChangeLog
DEB_INSTALL_CHANGELOGS_ALL :=

.PHONY: maint

## gst-plugins-bad1.0 0.11.92

=== debian/changelog ===
gst-plugins-bad1.0 (0.11.92-1) experimental; urgency=low

  * debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Build the cdaudio plugin on kfreebsd too.
  * New upstream release, "Shine On You Crazy Diamond":
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.92.
    + debian/build-deps.in:
      - Require orc >= 0.4.16.
    + debian/patches/0001-vp8enc-fix-target-bitrate-config-with-libvpx-1.1.0.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Jun 2012 13:13:33 +0200

gst-plugins-bad1.0 (0.11.91-3) experimental; urgency=low

  * debian/build-deps.in:
    + Drop unconditional libcdaudio build dependency.
      It's not available on hurd.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 04 Jun 2012 12:42:49 +0200

gst-plugins-bad1.0 (0.11.91-2) experimental; urgency=low

  * debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Drop CELT plugin and add OPUS plugin.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 May 2012 15:11:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libasound2-dev (>= 0.9.1) [linux-any],
                libcdaudio-dev [linux-any],
                libdc1394-22-dev (>= 2.0.0) [linux-any],
-               libgstreamer1.0-dev (>= 0.11.91),
+               libgstreamer1.0-dev (>= 0.11.92),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools,
@@ -24,8 +24,6 @@
                libass-dev (>= 0.9.4),
                libbz2-dev,
                libcairo2-dev,
-               libcdaudio-dev,
-               libcelt-dev (>= 0.5.0),
                libcurl4-gnutls-dev (>= 7.21.0),
                libdca-dev,
                libdirac-dev (>= 0.10),
@@ -37,8 +35,8 @@
                libglib2.0-dev (>= 2.31.14),
                libgme-dev,
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 0.11.91),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.91),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.92),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.92),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
@@ -49,7 +47,8 @@
                libmpcdec-dev,
                libofa0-dev (>= 0.9.3),
                libopenal-dev,
-               liborc-0.4-dev (>= 1:0.4.11),
+               libopus-dev (>= 0.9.4),
+               liborc-0.4-dev (>= 1:0.4.16),
                libpng-dev,
                librsvg2-dev (>= 2.14.0),
                librtmp-dev,

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.91)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.92)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -86,6 +86,10 @@
 dc1394 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdc1394.so
 decklink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdecklink.so
 linsys = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstlinsys.so
+endif
+
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+cdaudio = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstcdaudio.so
 endif
 
 ifneq ($(DEB_HOST_ARCH_OS),hurd)

## gst-plugins-bad1.0 0.11.93

=== debian/changelog ===
gst-plugins-bad1.0 (0.11.93-1) experimental; urgency=low

  * New upstream release:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.93.
    + debian/build-deps.in:
      - Build depend on libmpg123-dev (>= 1.13).
      - Build depend on GLIB >= 2.32.
    + debian/gstreamer-plugins-bad.install:
      - Add festival, interlace, mimic, mpegtsmux, mpg123
        and soundtouch plugins.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 09 Aug 2012 11:40:32 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libasound2-dev (>= 0.9.1) [linux-any],
                libcdaudio-dev [linux-any],
                libdc1394-22-dev (>= 2.0.0) [linux-any],
-               libgstreamer1.0-dev (>= 0.11.92),
+               libgstreamer1.0-dev (>= 0.11.93),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools,
@@ -32,11 +32,11 @@
                libexempi-dev,
                libexif-dev (>= 0.6.16),
                libfaad-dev,
-               libglib2.0-dev (>= 2.31.14),
+               libglib2.0-dev (>= 2.32),
                libgme-dev,
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 0.11.92),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.92),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.93),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.93),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
@@ -45,6 +45,7 @@
                libmms-dev (>= 0.4),
                libmodplug-dev,
                libmpcdec-dev,
+               libmpg123-dev (>= 1.13),
                libofa0-dev (>= 0.9.3),
                libopenal-dev,
                libopus-dev (>= 0.9.4),

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.92)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.93)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-bad1.0 0.11.94

=== debian/changelog ===
gst-plugins-bad1.0 (0.11.94-1) experimental; urgency=low

  * New upstream release:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.94.
      - Build depend on gtk-doc >= 1.12.
    + debian/gstreamer-plugins-bad.install,
      debian/rules:
      - Add the freeze, gdp, id3tag, inter, jpegformat, liveadder,
        pnm, siren, spandsp, speed, dvb, resindvd plugins.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Sep 2012 11:30:28 +0200

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,12 @@
                libasound2-dev (>= 0.9.1) [linux-any],
                libcdaudio-dev [linux-any],
                libdc1394-22-dev (>= 2.0.0) [linux-any],
-               libgstreamer1.0-dev (>= 0.11.93),
+               libgudev-1.0-dev (>= 143) [linux-any],
+               libusb-1.0-0-dev [linux-any],
+               libgstreamer1.0-dev (>= 0.11.94),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base-doc,
-               gtk-doc-tools,
+               gtk-doc-tools (>= 1.12),
                ladspa-sdk,
                libass-dev (>= 0.9.4),
                libbz2-dev,
@@ -35,8 +37,8 @@
                libglib2.0-dev (>= 2.32),
                libgme-dev,
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 0.11.93),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.93),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.94),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.94),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
@@ -105,6 +107,8 @@
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
 Provides: ${gstreamer:Provides}
 Suggests: frei0r-plugins
+Replaces: gstreamer1.0-plugins-base (<< 0.11.94)
+Conflicts: gstreamer1.0-plugins-base (<< 0.11.94)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -131,6 +135,8 @@
 Priority: extra
 Depends: gstreamer1.0-plugins-bad (= ${binary:Version}),
          ${misc:Depends}
+Replaces: gstreamer1.0-plugins-base-dbg (<< 0.11.94)
+Conflicts: gstreamer1.0-plugins-base-dbg (<< 0.11.94)
 Description: GStreamer plugins from the "bad" set (debug symbols)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.93)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.94)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -55,6 +55,8 @@
 gst_extra_build_depends += libasound2-dev (>= 0.9.1) [linux-any]
 gst_extra_build_depends += , libcdaudio-dev [linux-any]
 gst_extra_build_depends += , libdc1394-22-dev (>= 2.0.0) [linux-any]
+gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]
+gst_extra_build_depends += , libusb-1.0-0-dev [linux-any]
 
 # The plugins are basically the same.
 # Link special names to a template file.
@@ -86,6 +88,7 @@
 dc1394 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdc1394.so
 decklink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdecklink.so
 linsys = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstlinsys.so
+uvch264 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstuvch264.so
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
@@ -93,7 +96,7 @@
 endif
 
 ifneq ($(DEB_HOST_ARCH_OS),hurd)
-resindvd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libresindvd.so
+resindvd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstresindvd.so
 endif
 
 # Let's decide the package name and url depending on the distribution
@@ -127,6 +130,7 @@
 			-e 's,@dc1394@,$(dc1394),g' \
 			-e 's,@cdaudio@,$(cdaudio),g' \
 			-e 's,@resindvd@,$(resindvd),g' \
+			-e 's,@uvch264@,$(uvch264),g' \
 			-e 's/@GST_ABI@/$(gst_abi)/g' \
 			debian/gstreamer-$$p.install \
 			> debian/$(gst_pkgname)-$$p.install; \

## gst-plugins-bad1.0 0.11.99

=== debian/changelog ===
gst-plugins-bad1.0 (0.11.99-1) experimental; urgency=low

  * New upstream release:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 0.11.99.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Sep 2012 11:26:04 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libdc1394-22-dev (>= 2.0.0) [linux-any],
                libgudev-1.0-dev (>= 143) [linux-any],
                libusb-1.0-0-dev [linux-any],
-               libgstreamer1.0-dev (>= 0.11.94),
+               libgstreamer1.0-dev (>= 0.11.99),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
@@ -37,8 +37,8 @@
                libglib2.0-dev (>= 2.32),
                libgme-dev,
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 0.11.94),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.94),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.99),
+               libgstreamer-plugins-base1.0-dev (>= 0.11.99),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
@@ -64,7 +64,6 @@
                libtool (>= 2.2.6),
                libvo-aacenc-dev,
                libvo-amrwbenc-dev,
-               libvpx-dev,
                libwildmidi-dev (>= 0.2.3),
                libx11-dev,
                libxvidcore-dev,

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.94)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.99)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-bad1.0 1.0.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.0.0-1) unstable; urgency=low

  * New upstream release:
    + debian/build-deps.in,
      debian/rules:
      - Build depend on GStreamer core/base >= 1.0.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 Sep 2012 00:29:02 +0200

## gst-plugins-bad1.0 1.0.1

=== debian/changelog ===
gst-plugins-bad1.0 (1.0.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/gstreamer-plugins-bad.install:
      - Add frei0r plugin.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Oct 2012 11:12:00 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
                libdc1394-22-dev (>= 2.0.0) [linux-any],
                libgudev-1.0-dev (>= 143) [linux-any],
                libusb-1.0-0-dev [linux-any],
-               libgstreamer1.0-dev (>= 0.11.99),
+               libgstreamer1.0-dev (>= 1.0.0),
                gstreamer1.0-doc,
+               gstreamer1.0-plugins-base (>= 1.0.0),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -37,8 +38,7 @@
                libglib2.0-dev (>= 2.32),
                libgme-dev,
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 0.11.99),
-               libgstreamer-plugins-base1.0-dev (>= 0.11.99),
+               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.11.99)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.0.0)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-bad1.0 1.0.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.0.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/gstreamer-plugins-bad.install:
      - Add subenc and fieldanalysis plugins.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2012 14:13:33 +0200

## gst-plugins-bad1.0 1.0.3

=== debian/changelog ===
gst-plugins-bad1.0 (1.0.3-1ubuntu2) raring; urgency=low

  * Stop installing gstreamer-plugins-bad-1.0.pc — the referenced library is
    in gst-plugins-good1.0 now. 

 -- Iain Lane <iain.lane@canonical.com>  Fri, 04 Jan 2013 16:20:30 +0000

gst-plugins-bad1.0 (1.0.3-1ubuntu1) raring; urgency=low

  * Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
    jpegformat - plugins which have moved to -good.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 29 Nov 2012 15:25:38 +0000

gst-plugins-bad1.0 (1.0.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Nov 2012 15:05:51 +0100

## gst-plugins-bad1.0 1.0.5

=== debian/changelog ===
gst-plugins-bad1.0 (1.0.5-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing gstreamer-plugins-bad-1.0.pc — the referenced library is
      in gst-plugins-good1.0 now. 
    + Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
      jpegformat - plugins which have moved to -good.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 05 Feb 2013 12:23:45 +0000

gst-plugins-bad1.0 (1.0.5-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/gstreamer-plugins-bad.install:
      - Add newly ported mpegpsmux plugin.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jan 2013 13:56:44 +0100

gst-plugins-bad1.0 (1.0.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Dec 2012 10:35:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: extra
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: autoconf (>= 2.62),

## gst-plugins-bad1.0 1.0.6

=== debian/changelog ===
gst-plugins-bad1.0 (1.0.6-1ubuntu1) raring; urgency=low

  * Merge with Debian unstable.  Remaining changes:
    + Stop installing gstreamer-plugins-bad-1.0.pc — the referenced library is
      in gst-plugins-good1.0 now. 
    + Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
      jpegformat - plugins which have moved to -good.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 08 Apr 2013 17:29:17 +0100

gst-plugins-bad1.0 (1.0.6-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/gstreamer-plugins-bad.install,
      debian/build-deps.in:
      - Add newly ported OpenGLES2/EGL plugin.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Mar 2013 18:24:57 +0100

## gst-plugins-bad1.0 1.0.7

=== debian/changelog ===
gst-plugins-bad1.0 (1.0.7-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing gstreamer-plugins-bad-1.0.pc — the referenced library is
      in gst-plugins-good1.0 now. 
    + Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
      jpegformat - plugins which have moved to -good.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 26 Apr 2013 21:39:03 +0000

gst-plugins-bad1.0 (1.0.7-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 26 Apr 2013 14:10:58 +0200

=== debian/control ===
--- 
+++ 
@@ -33,9 +33,11 @@
                libdirac-dev (>= 0.10),
                libdirectfb-dev (>= 0.9.25),
                libdvdnav-dev (>= 4.1.2) [!hurd-any],
+               libegl1-mesa-dev,
                libexempi-dev,
                libexif-dev (>= 0.6.16),
                libfaad-dev,
+               libgles2-mesa-dev,
                libglib2.0-dev (>= 2.32),
                libgme-dev,
                libgsm1-dev,

=== debian/rules ===
--- 
+++ 
@@ -222,4 +222,6 @@
 # Disable inclusion of large upstream ChangeLog
 DEB_INSTALL_CHANGELOGS_ALL :=
 
-.PHONY: maint
+# In Ubuntu we don't ship the library referenced by this pcfile here but in -plugins-good
+DEB_DH_INSTALL_ARGS := -Xgstreamer-plugins-bad-1.0.pc
+

## gst-plugins-bad1.0 1.0.8

=== debian/changelog ===
gst-plugins-bad1.0 (1.0.8-1~bpo70+1) wheezy-backports; urgency=low

  * Backport to Debian Wheezy, no changes required.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Aug 2013 10:13:49 +0200

gst-plugins-bad1.0 (1.0.8-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/build-deps.in:
    + Build-depend on gst-plugins-base >= 1.0.8 for a macro fix.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 13 Jul 2013 11:33:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: autoconf (>= 2.62),
@@ -41,7 +40,7 @@
                libglib2.0-dev (>= 2.32),
                libgme-dev,
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.0.8),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
